com.amazonaws.services.cloudfront.model

## Class TagKeys

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.TagKeys

All Implemented Interfaces:
  Serializable, Cloneable

    public class TagKeys
    extends Object
    implements Serializable, Cloneable

A complex type that contains zero or more `Tag` elements.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TagKeys()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TagKeys` `clone()`
`boolean` `equals(Object obj)`
`List<String>` `getItems()` A complex type that contains `Tag` key elements.
`int` `hashCode()`
`void` `setItems(Collection<String> items)` A complex type that contains `Tag` key elements.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`TagKeys` `withItems(Collection<String> items)` A complex type that contains `Tag` key elements.
`TagKeys` `withItems(String... items)` A complex type that contains `Tag` key elements.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TagKeys

    public TagKeys()

### Method Detail

#### getItems

    public List<String> getItems()

A complex type that contains `Tag` key elements.

Returns:
  A complex type that contains `Tag` key elements.

#### setItems

    public void setItems(Collection<String> items)

A complex type that contains `Tag` key elements.

Parameters:
  `items` - A complex type that contains `Tag` key elements.

#### withItems

    public TagKeys withItems(String... items)

A complex type that contains `Tag` key elements.

NOTE: This method appends the values to the existing list (if any). Use `setItems(java.util.Collection)` or `withItems(java.util.Collection)` if you want to override the existing values.

Parameters:
  `items` - A complex type that contains `Tag` key elements.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withItems

    public TagKeys withItems(Collection<String> items)

A complex type that contains `Tag` key elements.

Parameters:
  `items` - A complex type that contains `Tag` key elements.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public TagKeys clone()

Overrides:
  `clone` in class `Object`